---
title: Contributing to the Figma UI Kit
keywords:
  - ui kit
  - figma
  - how to contribute to polaris ui kit
  - how to fix a figma component
order: 3
---

Any designer that works at Shopify can contribute to the Figma UI Kit. If you find a bug to fix or your team is contributing new patterns or variants to Polaris React components, we want you to feel empowered to contribute.

Components, features, or patterns shouldn’t be added to the Figma UI Kit if they are not part of Polaris React, as our goal is to keep Figma in sync with the code base. Only contributing changes to the Figma UI Kit when there’s a counterpart in Polaris React prevents confusion and keeps tooling in sync across resources.

1. Submit an issue in the [Shopify/polaris](https://github.com/Shopify/polaris/issues/new) GitHub repo, or assign yourself to [an existing issue](https://github.com/Shopify/polaris/labels/Figma%20UI%20Kit). Make sure to:
   1. Assign yourself to the issue so it’s clear who is doing the work.
   2. Add the "Figma UI Kit" label so we can easily find the issue.
   3. Use a descriptive title.
   4. Describe the change you’re making in the issue itself.
2. Create a branch in the Polaris Components Figma library.
   <br /> - Give your branch a descriptive name, ideally using the GitHub issue number so it’s easy to track.
   <br /> - For example, "[4963] Navigation design changes"
3. Make the necessary changes in the new branch.
4. Document all changes in the “Release Notes” page within the UI kit.
5. Add a design reviewer from the Polaris team to review the changes on your branch. If you aren’t sure who to add, share the link to your Figma branch and ask for review in the #polaris Slack channel.
6. Once reviewed and approved, the Polaris designer will merge your changes into the main branch and publish the updates.
